Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.TrackListener

    java.lang.Object
      |
      +--javax.swing.event.MouseInputAdapter
            |
            +--javax.swing.plaf.basic.BasicSliderUI.TrackListener

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.TrackListener
extends MouseInputAdapter

Track mouse movements. This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

Field Summary
`protected int` | `currentMouseX`
`protected int` | `currentMouseY`
`protected int` | `offset`

Constructor Summary
`BasicSliderUI.TrackListener()`

Method Summary
`void` | `mouseDragged(MouseEvent e)` Set the models value to the position of the top/left of the thumb relative to the origin of the track.
`void` | `mouseMoved(MouseEvent e)` Invoked when the mouse button has been moved on a component (with no buttons down).
`void` | `mousePressed(MouseEvent e)` If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page.
`void` | `mouseReleased(MouseEvent e)` Invoked when a mouse button has been released on a component.
`boolean` | `shouldScroll(int direction)`

Methods inherited from class javax.swing.event.MouseInputAdapter
`mouseClicked, mouseEntered, mouseExited`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### offset

    protected transient int offset

### currentMouseX

    protected transient int currentMouseX

### currentMouseY

    protected transient int currentMouseY

Constructor Detail

### BasicSliderUI.TrackListener

    public BasicSliderUI.TrackListener()

Method Detail

### mouseReleased

    public void mouseReleased(MouseEvent e)

  Description copied from interface: `MouseListener`
  Invoked when a mouse button has been released on a component.

  Specified by:
    `mouseReleased` in interface `MouseListener`
  Overrides:
    `mouseReleased` in class `MouseInputAdapter`

### mousePressed

    public void mousePressed(MouseEvent e)

  If the mouse is pressed above the "thumb" component then reduce the scrollbars value by one page ("page up"), otherwise increase it by one page. If there is no thumb then page up if the mouse is in the upper half of the track.

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `MouseInputAdapter`

### shouldScroll

    public boolean shouldScroll(int direction)

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Set the models value to the position of the top/left of the thumb relative to the origin of the track.

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `MouseInputAdapter`

### mouseMoved

    public void mouseMoved(MouseEvent e)

  Description copied from interface: `MouseMotionListener`
  Invoked when the mouse button has been moved on a component (with no buttons down).

  Specified by:
    `mouseMoved` in interface `MouseMotionListener`
  Overrides:
    `mouseMoved` in class `MouseInputAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.